## Class TSqlMapApplicationCache

Description

Implements interfaces:

- ICache

TSqlMapApplicationCache uses the default Prado application cache for caching SqlMap results.

- since: 3.1
- version: $Id: TSqlMapCache.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/DataMapper/TSqlMapCache.php (line 174)

Method Summary
void add (mixed $id, mixed $value, mixed $expire, [mixed $dependency = null])
void delete (string $key)
void flush ()
mixed get (mixed $key)
ICache getCache ()
void set (string $key, mixed $value, mixed $expire, [mixed $dependency = null])
Methods
add (line 222)

- access: public
- throws: TSqlMapException not implemented.

void add (mixed $id, mixed $value, mixed $expire, [mixed $dependency = null])
delete (line 179)

- access: public

void delete (string $key)

- string $key: item to be deleted.

flush (line 187)

Deletes all items in the cache.

- access: public

void flush ()
get (line 195)

- return: Gets a cached object with the specified key.
- access: public

mixed get (mixed $key)
getCache (line 214)

- return: Application cache instance.
- access: protected

ICache getCache ()
set (line 206)

Stores a value identified by a key into cache.

- access: public

void set (string $key, mixed $value, mixed $expire, [mixed $dependency = null])

- string $key: the key identifying the value to be cached
- mixed $value: the value to be cached

Documentation generated on Mon, 21 Apr 2008 11:36:16 -0400 by phpDocumentor 1.3.0RC4